Favicon

You are here: Home > API Reference > Windows > Windows Devices > List installed applications on a Windows device.

List installed applications on a Windows device.

Required Permission: mdm.windows.device.get

Retrieves a complete inventory of applications installed on the device, including version details and installation dates for compliance analysis, purposes.

GET
/v1/organizations/:organizationId/mdm/windows/enterprise/devices/:winDeviceId/applications
Copy to clipboard

List installed applications on a Windows device.

Required Permission: mdm.windows.device.get

Retrieves a complete inventory of applications installed on the device, including version details and installation dates for compliance analysis, purposes.

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
winDeviceId string
required
Windows device identifier used for targeting operations, supporting MongoDB ObjectId, IMEI, or serial number formats for flexible device lookup.
Match pattern: ^(([a-fA-F0-9]{24})|(\w{1,}))$

Responses

200 Response application/json
status boolean optional
data object optional
{
    "status": true,
    "data": {}
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4001
message string optional
Unauthorized
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}